# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.92"
name = "reovim-testing"
version = "0.14.4"
authors = ["ds1sqe(dukim) <ds1sqe@mensakorea.org>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Testing infrastructure for reovim - test harness, assertions, fluent builders"
homepage = "https://github.com/ds1sqe/reovim"
readme = "README.md"
license = "AGPL-3.0-only"
repository = "https://github.com/ds1sqe/reovim"
resolver = "2"

[features]
default = []

[lib]
name = "reovim_testing"
path = "src/lib.rs"

[dependencies.chrono]
version = "0.4"

[dependencies.reovim-client-cli]
version = "0.14.4"

[dependencies.reovim-protocol]
version = "0.14.4"

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_json]
version = "1.0"

[dependencies.tokio]
version = "1.25"
features = [
    "full",
    "full",
    "process",
    "io-util",
    "time",
    "rt-multi-thread",
]

[dev-dependencies.tempfile]
version = "3.0"

[lints.clippy.all]
level = "deny"
priority = -1

[lints.clippy.nursery]
level = "deny"
priority = -1

[lints.clippy.pedantic]
level = "deny"
priority = -1

[lints.rust]
unsafe_code = "warn"
warnings = "deny"

[lints.rust.unexpected_cfgs]
level = "warn"
priority = 0
check-cfg = ["cfg(coverage_nightly)"]
